> ## Documentation Index
> Fetch the complete documentation index at: https://reel25.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Videos

> Retrieve all tracked videos in your workspace

Returns a paginated list of all tracked videos in your workspace.

## Query parameters

<ParamField query="limit" type="integer" default="20">
  Number of results per page. Min: 1, Max: 100.
</ParamField>

<ParamField query="offset" type="integer" default="0">
  Pagination offset. Use with `limit` to paginate through results.
</ParamField>

<ParamField query="start_date" type="string">
  Filter videos posted after this date. Format: `YYYY-MM-DD`.
</ParamField>

<ParamField query="end_date" type="string">
  Filter videos posted before this date. Format: `YYYY-MM-DD`.
</ParamField>

<ParamField query="platform" type="string">
  Filter by platform. Options: `tiktok`, `youtube`, `insta`.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -H "Authorization: Bearer reel25_sk_..." \
    "https://api.reel25.com/api/v1/videos?limit=10&offset=0"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.reel25.com/api/v1/videos?limit=10',
    { headers: { 'Authorization': 'Bearer reel25_sk_...' } }
  );
  const { data, pagination } = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.reel25.com/api/v1/videos',
      headers={'Authorization': 'Bearer reel25_sk_...'},
      params={'limit': 10, 'offset': 0}
  )
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "trackedVideoId": "9f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d",
        "tiktokVideoId": "7234567890123456789",
        "url": "https://tiktok.com/@creator/video/7234567890123456789",
        "description": "Check out this recipe! #cooking #viral",
        "hashtags": ["cooking", "viral"],
        "duration": 45,
        "thumbnailUrl": "https://...",
        "postedAt": "2025-03-10T14:30:00.000Z",
        "viewCount": 1250000,
        "likeCount": 98000,
        "commentCount": 3200,
        "shareCount": 15000,
        "bookmarkCount": 45000,
        "engagementRate": 12.85,
        "type": "tiktok",
        "accountUsername": "creator",
        "accountDisplayName": "Creator Name",
        "accountId": "8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d",
        "canonicalAccountId": "8f14e45f-ceea-467f-a6f0-4b3b8c3a0e1d",
        "isTracked": true,
        "trackedAt": "2025-03-10T15:00:00.000Z",
        "lastScrapedAt": "2025-03-15T12:00:00.000Z",
        "createdAt": "2025-03-10T14:30:00.000Z",
        "musicName": "original sound - @creator",
        "musicAuthor": "@creator",
        "musicCoverUrl": "https://..."
      }
    ],
    "pagination": {
      "total": 47,
      "limit": 10,
      "offset": 0,
      "has_more": true
    }
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.